Bug 1750460 - CVE-2019-16056 python38: python: email.utils.parseaddr wrongly parses email addresses [fedora-all]
Summary: CVE-2019-16056 python38: python: email.utils.parseaddr wrongly parses email a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python38
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-16056
TreeView+ depends on / blocked
 
Reported: 2019-09-09 15:57 UTC by Riccardo Schirone
Modified: 2019-09-14 16:32 UTC (History)
2 users (show)

Fixed In Version: python38-3.8.0~b4-1.fc32 python38-3.8.0~b4-1.fc30 python38-3.8.0~b4-1.fc29 python38-3.8.0~b4-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 03:12:22 UTC


Attachments (Terms of Use)

Description Riccardo Schirone 2019-09-09 15:57:35 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Riccardo Schirone 2019-09-09 15:57:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1749839,1750460

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Miro Hrončok 2019-09-09 17:49:18 UTC
This has been fixed upstream and will be fixed in next updated.

Comment 3 Miro Hrončok 2019-09-09 21:06:00 UTC
Actually, this has been fixed in 3.8.0b4.

Comment 4 Fedora Update System 2019-09-09 21:06:27 UTC
FEDORA-2019-d11594bf0a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d11594bf0a

Comment 5 Fedora Update System 2019-09-09 21:06:31 UTC
FEDORA-2019-4954d8773c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4954d8773c

Comment 6 Fedora Update System 2019-09-09 21:06:35 UTC
FEDORA-2019-d58eb75449 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d58eb75449

Comment 7 Fedora Update System 2019-09-11 03:12:22 UTC
python38-3.8.0~b4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-09-11 03:34:54 UTC
python38-3.8.0~b4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-14 00:08:57 UTC
python38-3.8.0~b4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-14 16:32:40 UTC
python38-3.8.0~b4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.